# general info
NAME="bash"
DESC="Bourne-Again shell"
VERSION="5.2.21"

# required files
FILES=(
  "https://ftp.gnu.org/gnu/bash/bash-${VERSION}.tar.gz"
  "skelrc"
  "skelprof"
  "profile"
  "bash_completion.sh"
  "i18n.sh"
  "readline.sh"
  "shells"
)
HASHES=(
  "ad5b38410e3bf0e9bcc20e2765f5e3f9"
  "21ae7b58947dc168b1fb8a6b21f12632a594aaff6f5472ade79c8ce235c4f960"
  "9acd816e6e55af7337ad9c0dfaaf3e09297de7a83e55a5378d2075a7c4862fb2"
  "eb0d73e7bce8e4eddcea05511bcb2b6105716d5d715ea9a28b8b9ad59137ec48"
  "7dda3e99ed885edb70cb7188283fcb3b7339c0563b0b419cb023b4e6eb504cd8"
  "f955496d700e3aeff47ed200ec89f82ba4323b33f9d70555677b1b6196688761"
  "07c0e8de91e91e534452c52a8d16b3f282c16a5f5d1818f9f623bf056e800298"
  "4cc26708349348ad3520dae0e1046ef3d1b6eb823c9e1361aa24062d785595d8"
)

# install and build depends
DEPENDS=("glibc" "readline" "ncurses")
BUILD=()

KEEP=("/etc/shells")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr           \
            --without-bash-malloc     \
            --with-installed-readline \
            --docdir="/usr/share/doc/bash-${VERSION}"

  make && make DESTDIR="${ROOTDIR}" install
  ln -sf bash "${ROOTDIR}/usr/bin/sh"

  install -dm755 "${ROOTDIR}/etc/skel/"
  install -m644 "${ROOTDIR}/skelrc"      "${ROOTDIR}/etc/skel/.bashrc"
  install -m644 "${ROOTDIR}/skelprof"    "${ROOTDIR}/etc/skel/.bash_profile"
  install -m644 "${ROOTDIR}/profile"     "${ROOTDIR}/etc/profile"
  install -m644 "${ROOTDIR}/shells"      "${ROOTDIR}/etc/shells"

  install --directory --mode=0755 "${ROOTDIR}/etc/profile.d"
  install --directory --mode=0755 "${ROOTDIR}/etc/bash_completion.d"

  install -m644 "${ROOTDIR}/bash_completion.sh"      "${ROOTDIR}/etc/profile.d/bash_completion.sh"
  install -m644 "${ROOTDIR}/i18n.sh"                 "${ROOTDIR}/etc/profile.d/i18n.sh"
  install -m644 "${ROOTDIR}/readline.sh"             "${ROOTDIR}/etc/profile.d/readline.sh"

  cd .. && rm -r "${NAME}-${VERSION}"
}
