# general info
NAME="curl"
DESC="Command line tool and library for transferring data with URLs"
VERSION="8.6.0"

# required files
FILES=("https://curl.se/download/curl-${VERSION}.tar.xz")
HASHES=("8f28f7e08c91cc679a45fccf66184fbc")

# install and build depends
DEPENDS=(
  "brotli" "zstd" "zlib" "openldap"
  "libssh2" "nghttp2" "libidn2"
  "icu" "libpsl"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr               \
            --disable-static              \
            --with-openssl                \
            --enable-threaded-resolver    \
            --with-ca-path=/etc/ssl/certs
  make
  make DESTDIR="${ROOTDIR}" install

  rm -rf docs/examples/.deps
  find docs \( -name Makefile\* -o  \
             -name \*.1       -o  \
             -name \*.3       -o  \
             -name CMakeLists.txt \) -delete

  install -dm755 "${ROOTDIR}/usr/share/doc"
  cp -v -R docs -T "${ROOTDIR}/usr/share/doc/curl-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
