# general info
NAME="dbus"
DESC="Message bus system"
VERSION="1.14.10"

# required files
FILES=("https://dbus.freedesktop.org/releases/dbus/dbus-${VERSION}.tar.xz")
HASHES=("46070a3487817ff690981f8cd2ba9376")

# install and build depends
DEPENDS=("systemd" "libcap" "expat")
BUILD=("python3" "systemd")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr                                     \
            --sysconfdir=/etc                                   \
            --localstatedir=/var                                \
            --runstatedir=/run                                  \
            --disable-static                                    \
            --disable-doxygen-docs                              \
            --disable-xml-docs                                  \
            --docdir="/usr/share/doc/dbus-${VERSION}"           \
            --with-system-socket=/run/dbus/system_bus_socket    \
            --with-console-auth-dir=/run/console/               \
            --with-dbus-user=messagebus                         \
            --with-system-pid-file=/run/dbus/pid                \
            --with-system-socket=/run/dbus/system_bus_socket    \
            --with-systemdsystemunitdir=/usr/lib/systemd/system \
            --enable-systemd                                    \
            --enable-user-session

  make
  make DESTDIR="${ROOTDIR}" install
  ln -sfv ../../../etc/machine-id "${ROOTDIR}/var/lib/dbus/machine-id"

  cd .. && rm -r "${NAME}-${VERSION}"
}
