# general info
NAME="gnupg"
DESC="GNU Privacy Guard"
VERSION="2.4.4"

# required files
FILES=("https://www.gnupg.org/ftp/gcrypt/gnupg/gnupg-${VERSION}.tar.bz2")
HASHES=("114ac6367668a330ffae1ade6d79133a")

# install and build depends
DEPENDS=(
  "libassuan" "libgcrypt" "libksba"
  "npth" "openldap" "curl" "pinentry"
  "gnutls" "glibc" "readline" "zlib"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  mkdir build
  cd    build

  ../configure --prefix=/usr         \
             --localstatedir=/var    \
             --sysconfdir=/etc       \
             --docdir="/usr/share/doc/gnupg-${VERSION}"

  make
  makeinfo --html --no-split -I doc -o doc/gnupg_nochunks.html ../doc/gnupg.texi
  makeinfo --plaintext       -I doc -o doc/gnupg.txt           ../doc/gnupg.texi
  make -C doc html

  make DESTDIR="${ROOTDIR}" install

  install -v -m755 -d "${ROOTDIR}/usr/share/doc/gnupg-${VERSION}/html"
  install -v -m644 doc/gnupg_nochunks.html \
                  "${ROOTDIR}/usr/share/doc/gnupg-${VERSION}/html/gnupg.html"
  install -v -m644 ../doc/*.texi doc/gnupg.txt \
                  "${ROOTDIR}/usr/share/doc/gnupg-${VERSION}"
  install -v -m644 doc/gnupg.html/* \
                  "${ROOTDIR}/usr/share/doc/gnupg-${VERSION}/html"

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
