# general info
NAME="libarchive"
DESC="Multi-format archive and compression library"
VERSION="3.7.4"

# required files
FILES=("https://github.com/libarchive/libarchive/releases/download/v${VERSION}/libarchive-${VERSION}.tar.xz")
HASHES=("f887755c434a736a609cbd28d87ddbfbe9d6a3bb5b703c22c02f6af80a802735")

# install and build depends
DEPENDS=(
  "acl" "bzip2" "zstd"
  "libxml2" "gzip" "zlib"
  "xz" "openssl"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr    \
              --without-nettle \
              --disable-static
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
