# general info
NAME="libgcrypt"
DESC="General purpose crypto library based on the code used in GnuPG"
VERSION="1.11.0"

# required files
FILES=("https://www.gnupg.org/ftp/gcrypt/libgcrypt/libgcrypt-${VERSION}.tar.bz2")
HASHES=("09120c9867ce7f2081d6aaa1775386b98c2f2f246135761aae47d81f58685b9c")

# install and build depends
DEPENDS=("glibc" "libgpg-error")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr
  make

  make -C doc html
  makeinfo --html --no-split -o doc/gcrypt_nochunks.html doc/gcrypt.texi
  makeinfo --plaintext       -o doc/gcrypt.txt           doc/gcrypt.texi

  make DESTDIR="${ROOTDIR}" install
  install -v -dm755 "${ROOTDIR}/usr/share/doc/libgcrypt-${VERSION}"
  install -v -m644 README doc/{README.apichanges,fips*,libgcrypt*} \
                   "${ROOTDIR}/usr/share/doc/libgcrypt-${VERSION}"
  install -v -dm755 "${ROOTDIR}/usr/share/doc/libgcrypt-${VERSION}/html"
  install -v -m644 doc/gcrypt.html/* \
                   "${ROOTDIR}/usr/share/doc/libgcrypt-${VERSION}/html"
  install -v -m644 doc/gcrypt_nochunks.html \
                   "${ROOTDIR}/usr/share/doc/libgcrypt-${VERSION}"
  install -v -m644 doc/gcrypt.{txt,texi} \
                   "${ROOTDIR}/usr/share/doc/libgcrypt-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
