# general info
NAME="libinih"
DESC="Simple .INI file parser in C"
VERSION="58"

# required files
FILES=("https://github.com/benhoyt/inih/archive/refs/tags/r${VERSION}.tar.gz")
HASHES=("e79216260d5dffe809bda840be48ab0eec7737b2bb9f02d2275c1b46344ea7b7")

# install and build depends
DEPENDS=("gcc-libs" "glibc")
BUILD=("meson" "ninja")

PACKAGE(){
  tar xf "r${VERSION}.tar.gz"
  cd "inih-r${VERSION}"

  mkdir build
  cd    build

  meson setup -Ddefault_library=shared \
              -Dmax_line_length=1000   \
              -Ddistro_install=true    \
              -Dwith_INIReader=true    \
              --prefix=/usr --buildtype=release ..
  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "inih-r${VERSION}"
}
