# general info
NAME="linux"
DESC="The libre linux kernel"
VERSION="6.10.1"

# required files
FILES=(
  "https://linux-libre.fsfla.org/pub/linux-libre/releases/${VERSION}-gnu/linux-libre-${VERSION}-gnu.tar.xz"
  "config"
)
HASHES=(
  "9db76fe0261f05e4c79f4dcb33298a667e7c42a5cb2306f4b013eddc401fdced"
  "11c2b7a27e3d3b608f10a11e8ec0497ffc40d75f15f9c7e168cc7ee900906aef"
)

# install and build depends
DEPENDS=()
BUILD=()

PACKAGE(){
  tar xf "${NAME}-libre-${VERSION}-gnu.tar.xz"
  cd "linux-${VERSION}"

  cp "${ROOTDIR}/config" .config
  mkdir -pv "${ROOTDIR}/"{boot,usr}

  make olddefconfig
  make
  make INSTALL_MOD_PATH="${ROOTDIR}/usr" INSTALL_MOD_STRIP=1 modules_install
  cp -iv arch/x86/boot/bzImage "${ROOTDIR}/boot/vmlinuz-linux"

  make mrproper
  make headers

  find usr/include -type f ! -name '*.h' -delete
  cp -rv usr/include "${ROOTDIR}/usr"

  cd .. && rm -r "linux-${VERSION}"
}
