# general info
NAME="meson"
DESC="Open source build system meant to be both extremely fast and as user friendly as possible"
VERSION="1.5.0"

# required files
FILES=("https://github.com/mesonbuild/meson/releases/download/${VERSION}/meson-${VERSION}.tar.gz")
HASHES=("45d7b8653c1e5139df35b33be2dd5b2d040c5b2c6129f9a7c890d507e33312b8")

# install and build depends
DEPENDS=("ninja" "python3")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  python3 -m build --wheel --skip-dependency-check --no-isolation
  PYTHONPATH=src python3 -m installer --destdir="${ROOTDIR}" dist/*.whl

  install -vDm644 data/shell-completions/bash/meson "${ROOTDIR}/usr/share/bash-completion/completions/meson"
  install -vDm644 data/shell-completions/zsh/_meson "${ROOTDIR}/usr/share/zsh/site-functions/_meson"

  cd .. && rm -r "${NAME}-${VERSION}"
}
