# general info
NAME="ncurses"
DESC="Libraries for terminal-independent handling of character screens"
VERSION="6.5"

# required files
FILES=("https://invisible-mirror.net/archives/ncurses/ncurses-${VERSION}.tar.gz")
HASHES=("136d91bc269a9a5785e5f9e980bc76ab57428f604ce3e5a5a90cebc767971cc6")

# install and build depends
DEPENDS=("glibc" "gcc-libs")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr         \
            --mandir=/usr/share/man \
            --with-shared           \
            --without-debug         \
            --without-normal        \
            --with-cxx-shared       \
            --enable-pc-files       \
            --enable-widec          \
            --with-pkg-config-libdir=/usr/lib/pkgconfig

  make && make DESTDIR="${PWD}/dest" install

  mkdir -p "${ROOTDIR}/usr/lib"
  mkdir -p "${ROOTDIR}/usr/share/doc"

  install -vm755 "dest/usr/lib/libncursesw.so.${VERSION}" "${ROOTDIR}/usr/lib"
  rm -v "dest/usr/lib/libncursesw.so.${VERSION}"
  cp -av dest/* "${ROOTDIR}/"

  for lib in ncurses form panel menu ; do
    rm -vf                    "${ROOTDIR}/usr/lib/lib${lib}.so"
    echo "INPUT(-l${lib}w)" > "${ROOTDIR}/usr/lib/lib${lib}.so"
    ln -sfv "${lib}w.pc" "${ROOTDIR}/usr/lib/pkgconfig/${lib}.pc"
  done

  cp -v -R doc -T "${ROOTDIR}/usr/share/doc/ncurses-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
