# general info
NAME="nettle"
DESC="A low-level cryptographic library"
VERSION="3.10"

# required files
FILES=("https://ftp.gnu.org/gnu/nettle/nettle-${VERSION}.tar.gz")
HASHES=("b4c518adb174e484cb4acea54118f02380c7133771e7e9beb98a0787194ee47c")

# install and build depends
DEPENDS=("glibc" "gmp")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr --disable-static
  make
  make DESTDIR="${ROOTDIR}" install

  chmod -v 755 "${ROOTDIR}/usr/lib/lib"{hogweed,nettle}.so
  install -v -m755 -d "${ROOTDIR}/usr/share/doc/nettle-${VERSION}"
  install -v -m644 nettle.{html,pdf} "${ROOTDIR}/usr/share/doc/nettle-${VERSION}"

  cd .. && rm -r "${NAME}-${VERSION}"
}
