# general info
NAME="ninja"
DESC="Small build system with a focus on speed"
VERSION="1.12.1"

# required files
FILES=("https://github.com/ninja-build/ninja/archive/refs/tags/v${VERSION}.tar.gz")
HASHES=("821bdff48a3f683bc4bb3b6f0b5fe7b2d647cf65d52aeb63328c91a6c6df285a")

# install and build depends
DEPENDS=("gcc-libs" "python3")
BUILD=()

PACKAGE(){
  tar xf "v${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  python3 configure.py --bootstrap

  install -dm755 "${ROOTDIR}/usr/bin"
  install -vm755 ninja "${ROOTDIR}/usr/bin/"
  install -vDm644 misc/bash-completion "${ROOTDIR}/usr/share/bash-completion/completions/ninja"
  install -vDm644 misc/zsh-completion  "${ROOTDIR}/usr/share/zsh/site-functions/_ninja"

  cd .. && rm -r "${NAME}-${VERSION}"
}
