# general info
NAME="nss"
DESC="Network Security Services"
VERSION="3.103"
_UVERSION="$(echo "${VERSION}" | sed 's/\./_/g')"

# required files
FILES=(
  "https://archive.mozilla.org/pub/security/nss/releases/NSS_${_UVERSION}_RTM/src/nss-${VERSION}.tar.gz"
  "nss-${VERSION}-standalone-1.patch"
)
HASHES=(
  "7b4ab657f772dc7520c46e8d481940b292dcfc6a4c90150a7c26672384cee962"
  "87bb1af0b11fd41311b9899187f6e4b3fca9940651123c7bc836ec7497d2da84"
)

# install and build depends
DEPENDS=("glibc" "nspr" "bash" "sqlite3" "zlib")
BUILD=("make" "perl" "python3")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.gz"
  cd "${NAME}-${VERSION}"

  patch -Np1 -i ../nss-${VERSION}-standalone-1.patch

  cd nss

  make BUILD_OPT=1                      \
    NSPR_INCLUDE_DIR=/usr/include/nspr  \
    USE_SYSTEM_ZLIB=1                   \
    ZLIB_LIBS=-lz                       \
    NSS_ENABLE_WERROR=0                 \
    USE_64=1                            \
    NSS_USE_SYSTEM_SQLITE=1

  cd ../dist

  install -Ddm755 "${ROOTDIR}/usr/lib/pkgconfig"
  install -Ddm755 "${ROOTDIR}/usr/bin"

  install -v -m755 Linux*/lib/*.so              "${ROOTDIR}/usr/lib"
  install -v -m644 Linux*/lib/{*.chk,libcrmf.a} "${ROOTDIR}/usr/lib"

  install -v -m755 -d                           "${ROOTDIR}/usr/include/nss"
  cp -v -RL {public,private}/nss/*              "${ROOTDIR}/usr/include/nss"

  install -v -m755 Linux*/bin/{certutil,nss-config,pk12util} "${ROOTDIR}/usr/bin"
  install -v -m644 Linux*/lib/pkgconfig/nss.pc               "${ROOTDIR}/usr/lib/pkgconfig"

  ln -sfv ./pkcs11/p11-kit-trust.so "${ROOTDIR}/usr/lib/libnssckbi.so"

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
