# general info
NAME="tzdata"
DESC="Time zone database"
VERSION="2024a"

# required files
FILES=("https://www.iana.org/time-zones/repository/releases/tzdata${VERSION}.tar.gz")
HASHES=("2349edd8335245525cc082f2755d5bf4")

# install and build depends
DEPENDS=()
BUILD=()

PACKAGE(){
  mkdir -p tzdata && cd tzdata
  mv "../tzdata${VERSION}.tar.gz" .

  tar xf "tzdata${VERSION}.tar.gz"

  ZONEINFO="${ROOTDIR}/usr/share/zoneinfo"
  mkdir -p "${ZONEINFO}/"{posix,right}

  for tz in etcetera southamerica northamerica \
            europe africa antarctica           \
            asia australasia backward; do
    zic -L /dev/null   -d "${ZONEINFO}" "${tz}"
    zic -L /dev/null   -d "${ZONEINFO}/posix" "${tz}"
    zic -L leapseconds -d "${ZONEINFO}/right" "${tz}"
  done

  cp zone.tab zone1970.tab iso3166.tab "${ZONEINFO}"
  zic -d "${ZONEINFO}" -p America/New_York
  unset ZONEINFO

  cd .. && rm -rf tzdata
}
